<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_c06c961f393742ecfd52b" . "72263ac9470" => base64_decode("aW50dmF" . "s"), "_a11bd5f" . "e4a61757" . "54726d93" . "4efa5c55" . "d" => base64_decode("U3RhcnQgY" . "XQ6IA=="));





class BackupRunnerFull extends BackupRunnerAbstract
{
    protected $type = 'full';
    
    
    
    
    
    
    
    protected function IsAlwaysExported(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        return false;
    }
    
    
    
    
    
    
    protected function SaveWithoutExport(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97, DOMElement $_20ddb008f3841f2ea5794896a5d32362)
    {
    }
    
    
    
    
    
    protected function BackupStartUp()
    {
        $this->bk->log->AddEntry($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_a11bd5fe4a617575" . "4726d934efa5c55d"] . $this->now->getDate(DATE_FORMAT_CLA_DATETIME));
        $this->bk->next_full->addDays($this->bk->full_period);
        $this->bk->status = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c06c961f393" . "742ecfd52b72" . "263ac9470"](!$this->bk->eh->IsError());
        $this->bk->Update();
    }
}